Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78125 - Impossible to customize package selection on 64 Megs
Summary: Impossible to customize package selection on 64 Megs
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda
Version: 8.0
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-19 09:45 UTC by jfm2
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-05-25 14:59:14 UTC


Attachments (Terms of Use)

Description jfm2 2002-11-19 09:45:46 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
On a 64 megs box when you try to customize package selection there is furious CD
activity while you have to wait for <b>several minutes</b> after each mouse
click and at least thirty seconds for mere mouse movements.   Problem is that at
this stage swap is still not activated so linux cannot move modified pages to it
so the only thing it can do is discard code pages.
<p>
Either installation is smart enough to shift to text mode when a 64 megs is
detected or when detecting a such box you activate the swap sooner like it was
done in 7.x


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install RedHat while passing mem=64 megs as boot parm
2.Continue installation until package selction
3.Select and unselect a few packages and wait and wait and wait while
your CD reader goes crazy.  With luck you will damage it from excessive head
movement.
	

Additional info:

Comment 1 Jeremy Katz 2002-11-19 19:52:59 UTC
The point at which swap is activated early has been changed in our internal
trees to help improve this.

Comment 2 Michael Fulbright 2002-12-20 17:38:25 UTC
Time tracking values updated

Comment 3 Brent Fox 2003-05-25 14:59:14 UTC
I'm going through Bugzilla closing some bugs that have been marked as Modified
for some period of time.  I believe that most of these issues have been fixed,
so I'm resolving these bugs as Rawhide.  If the bug you are seeing still exists,
please reopen this report and mark it as Reopened.


Note You need to log in before you can comment on or make changes to this bug.